com.example.labstatus.ui.SL1

## Class RecyclerViewAdapterSL1

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL1.ViewHolder>
  - - com.example.labstatus.ui.SL1.RecyclerViewAdapterSL1

    public class RecyclerViewAdapterSL1
    extends androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL1.ViewHolder>

Author:
  Area51

### Nested Class Summary

Nested Classes
`static interface` `RecyclerViewAdapterSL1.ItemListener`
`class` `RecyclerViewAdapterSL1.ViewHolder`

### Field Summary

Fields
`boolean` `isClickable`
`(package private) android.content.Context` `mContext`
`protected RecyclerViewAdapterSL1.ItemListener` `mListener`
`(package private) java.util.ArrayList` `mValues`

### Constructor Summary

Constructors
Constructor and Description
`RecyclerViewAdapterSL1(android.content.Context context, java.util.ArrayList values, RecyclerViewAdapterSL1.ItemListener itemListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getItemCount()`
`void` `onBindViewHolder(RecyclerViewAdapterSL1.ViewHolder holder, int position)`
`RecyclerViewAdapterSL1.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

### Methods inherited from class androidx.recyclerview.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isClickable

    public boolean isClickable

#### mContext

    android.content.Context mContext

#### mListener

    protected RecyclerViewAdapterSL1.ItemListener mListener

#### mValues

    java.util.ArrayList mValues

### Constructor Detail

#### RecyclerViewAdapterSL1

    public RecyclerViewAdapterSL1(android.content.Context context,
                                  java.util.ArrayList values,
                                  RecyclerViewAdapterSL1.ItemListener itemListener)

### Method Detail

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL1.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(@NonNull
                                 RecyclerViewAdapterSL1.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL1.ViewHolder>`

#### onCreateViewHolder

    public RecyclerViewAdapterSL1.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                int viewType)

Specified by:
  `onCreateViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL1.ViewHolder>`